<?php
namespace common\widgets\PlacePicker;

use yii\widgets\InputWidget;
use yii\helpers\Html;
use yii\helpers\Json;
use yii\helpers\ArrayHelper;


class PlacePicker extends InputWidget
{
    public $latitudeFieldId;
    public $longitudeFieldId;
    public $name;
    public $clientOptions = [];
    public $randNumber;

    public function init()
    {
        MapAsset::register($this->view);
        parent::init();
        $randNumber = rand(1,100);
        $this->clientOptions = ArrayHelper::merge(
            [
                'latitudeFieldId' => $this->latitudeFieldId,
                'longitudeFieldId' => $this->longitudeFieldId,
                'mapName' => $this->name,
                'searchTextField' => 'searchTextField'.$randNumber

            ],
            $this->clientOptions
        );
        $options = Json::encode($this->clientOptions);
        $this->getView()->registerJs("jQuery('#{$this->getId()}').yiiMapKit({$options});");

    }

    public function run()
    {
        echo Html::tag('br');
        echo Html::textInput('Address', '',
            ['id' => $this->clientOptions['searchTextField'], 'class' => 'form-control', 'style' => 'width:90%;']);
        echo Html::tag('br');
        echo Html::beginTag('div', [
            'id' => $this->clientOptions['mapName'],
            'style' => 'height: 450px;width: 100%;margin: 0.6em;box-shadow: 5px 5px 5px #888888;'
        ]);
        echo Html::endTag('div');

    }


}

?>